package com.bytedance.ies.android.base.runtime.depend;

import X.M12;
import com.bytedance.covode.number.Covode;
import org.json.JSONObject;

public abstract class AbsMonitorDepend implements IMonitorDepend {
    static {
        Covode.recordClassIndex(28020);
    }

    public void monitorEvent(String str, JSONObject jSONObject, JSONObject jSONObject2, JSONObject jSONObject3) {
        M12.LIZ(str);
    }
}
